import { Component, Input, OnInit } from '@angular/core';
import { ApiChatService } from '../services/api-chat.service';
import { SinglePost } from '../models/post'
import * as vars from '../var/api'
import {ActivatedRoute} from "@angular/router";
import {setDisplayedThread} from "../var/api";

@Component({
  selector: 'app-SingleThread',
  templateUrl: `./boards.component.html`,
  styleUrls: [`./boards.component.css`]
})
export class BoardsComponent implements OnInit {
  command: string = "";
  response: any;
  postsToShow: SinglePost[] = []
  boardName:string = 'b';
  displayed_thread_number = vars.displayed_thread;
  showGuide: boolean = false;

  constructor(
    public apiChatService: ApiChatService,
    private activatedRoute:ActivatedRoute
  ){

  }
  refreshPosts(boardName: string , threadId:number) {
    this.apiChatService.getPosts(boardName, threadId).subscribe(response => {
      this.postsToShow = response
      vars.setDisplayedThread(this.displayed_thread_number);
    })
  }

  ngOnInit(): void {
    var threadId = this.activatedRoute.snapshot.queryParamMap.get('thread');
    if(threadId != null)
    {
      this.displayed_thread_number = parseInt(threadId);
      vars.setDisplayedThread(this.displayed_thread_number);
    }
    this.apiChatService.getPosts('postgres', this.displayed_thread_number).subscribe(response => {
    this.postsToShow = response
    })
  }


}

